/**
 * A link that takes the user to the specified URL.
 * */
export default {
  title: 'Components/Link',
  tags: ['autodocs'],
  argTypes: {
    text: {
      control: 'text',
    },
    href: {
      control: 'text',
    },
    target: {
      control: 'select',
      options: ['_self', '_blank'],
    },
  },
}

const LinkTemplate = ({ text, href, target }) => {
  return `<div>Lorem ipsum dolor sit amet, consectetur adipiscing elit <a class="rpf-link" href="${href}" target="${target}">${text}</a></div>`
}

const LinkBlockTemplate = ({ text, href, target }) => {
  return `<div>Lorem ipsum dolor sit amet, consectetur adipiscing elit <a class="rpf-link rpf-link--block" href="${href}" target="${target}">${text}</a></div>`
}

const LinkExternalTemplate = ({ text, href, target }) => {
  return `<div>Lorem ipsum dolor sit amet, consectetur adipiscing elit <a class="rpf-link rpf-link--external" href="${href}" target="${target}"><span>${text}</span></a>dolor sit amet</div>`
}

const defaultArgs = {
  text: 'Raspberry Pi Foundation',
  href: 'https://www.raspberrypi.com',
  target: '_self',
}

export const Default = LinkTemplate.bind({})
Default.args = {
  ...defaultArgs
}

export const Block = LinkBlockTemplate.bind({})
Block.args = {
  ...defaultArgs
}

export const External = LinkExternalTemplate.bind({})
External.args = {
  ...defaultArgs,
  target: '_blank'
}
